## fwknop 2.6.0

=== debian/changelog ===
fwknop (2.6.0-4) unstable; urgency=medium

  * QA upload.
  * debian/rules: Disable verbose dh mode.
  * Add --with-gpg=/usr/bin/gpg to configure call. Closes: #833465.
    This should probably not be required at all as we are using libgpgme,
    but at least it will not FTBFS and should behave as before.

 -- Santiago Vila <sanvila@debian.org>  Fri, 05 Aug 2016 00:29:16 +0200

fwknop (2.6.0-3) unstable; urgency=medium

  * QA upload.
  * Package is orphaned (Bug #831273). Set maintainer to "Debian QA Group".
  * Fix debian/rules for "dpkg-buildpackage -A" to work. Closes: #806027.
  * Fix spelling error in libfko2-dev short description.

 -- Santiago Vila <sanvila@debian.org>  Fri, 15 Jul 2016 15:05:36 +0100

fwknop (2.6.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use "find -perm /x" instead of "find -perm +x". Closes: #808926

 -- Andreas Metzler <ametzler@debian.org>  Fri, 25 Dec 2015 14:24:41 +0100

fwknop (2.6.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "hardcodes /usr/lib/perl5":
    Use $Config{vendorarch} in debian/rules.
    (Closes: #752472)

 -- gregor herrmann <gregoa@debian.org>  Sat, 02 Aug 2014 17:58:22 +0200

fwknop (2.6.0-2) unstable; urgency=low

  * Moved installation of usr.sbin/fwknopd from d.rules to 
    fwknop-apparmor-profile.install file. (Closes: #735766)
  * Added copyright stanza for android files in d.copyright
   (Closes: #735668).

 -- Franck Joncourt <franck@debian.org>  Sat, 18 Jan 2014 21:42:00 +0100

fwknop (2.6.0-1) unstable; urgency=low

  * Imported Upstream version 2.6.0
  
  * New fwknop-apparmor-profile package to provide the fwknop-server apparmor
    profile.
    - New entry in d.control to create the brand new binary package.
    - Added BD on dh-apparmor.
    - Updated d.rules to used dh_apparmor to manage developer scripts.
    - Added fwknop-apparmor-profile.dirs file to create apparmor directory at
      install.
    - Added fwknop-apparmor-profile as suggested package for the fwknop server
      in d.control.
  * Bump up debian policy from 3.9.4 to 3.9.5:
    - Removed dependencies on dpkg (>= 1.15.4) | install-info

 -- Franck Joncourt <franck@debian.org>  Mon, 13 Jan 2014 22:10:17 +0100
