=== debian/changelog ===
fwknop (2.6.5-maemo1) unstable; urgency=low

  * Added libpcap0.8-dev to build-depends. Not really needed, but the
    autoconf/configure/make process seems to still want to build some
    libpcap related object files.

 -- Alexander Kozhevnikov <mentalisttraceur@gmail.com>  Tue, 17 Feb 2015 03:12:13 -0500

fwknop (2.6.5-maemo0) unstable; urgency=low

  * Initial release to Maemo 5 repos.

 -- Alexander Kozhevnikov <mentalisttraceur@gmail.com>  Thu, 12 Feb 2015 02:48:09 +0000
