## fwknop 2.6.5-maemo2

=== debian/changelog ===
fwknop (2.6.5-maemo2) unstable; urgency=low

  * Added debian/*.{dirs/install} files, hopefully will package properly
    now.
  * Applied upsteam patch to fix building without libpcap-dev
  * Concordantly removed libpcap-dev build-dependency.

 -- Alexander Kozhevnikov <mentalisttraceur@gmail.com>  Wed, 18 Feb 2015 01:11:21 -0500
