## fwknop 2.6.5-maemo3

=== debian/changelog ===
fwknop (2.6.5-maemo3) unstable; urgency=low

  * Fixed ./configure --localstatedir argument

 -- Alexander Kozhevnikov <mentalisttraceur@gmail.com>  Wed, 18 Feb 2015 01:42:12 -0500
