=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/network
 Priority: extra
 Maintainer: Alexander Kozhevnikov <mentalisttraceur@gmail.com>
-Build-Depends: debhelper (>= 5), automake, libtool, iptables, dpkg-dev, libpcap0.8-dev
+Build-Depends: debhelper (>= 5), automake, libtool, iptables, dpkg-dev
 Standards-Version: 3.7.2
 Homepage: http://www.cipherdyne.com/fwknop/
