=== debian/changelog ===
fwknop (2.6.9-2) unstable; urgency=medium

  * QA upload.
  * Drop upstart system job.
  * s/libcap/libpcap/ in long descriptions. Closes: #836890.
  * debhelper compat 10.
  * Don't activate triggers twice.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 05 Oct 2017 20:36:06 +0200

fwknop (2.6.9-1) unstable; urgency=medium

  * QA upload.
  * New upstream release 
    - Closes: #826718 - Please update fwknop
    - Patches:
      + Updated spelling.diff patch
      + Added new patch 002_fkoversion.diff
    - Added debian/source/include-binaries files
    - libfko2* packages become libfko3* packages to follow shared library
      number change.
    - Updated debian/copyright accordingly and fixed some lintian warnings.
  * Bump up debian policy from 3.9.5 to 3.9.8: no changes
  * Removed debug package which is automatically built.
  * Removed ldconfig call from libfko maintainer scripts and added
    libfko3.triggers to replace them. 
  * Fixed debian/control: 
    - Use secure URI (https) for VCS field
    - Added dh-python to BD field
  * Added GPG signature verification to debian/watch file. Upstream GPG
    signature is stored in debian/upstream/signing-key.asc.

 -- Franck Joncourt <franck.joncourt@gmail.com>  Sat, 27 Aug 2016 22:09:29 +0200
