=== debian/changelog ===
fwknop (2.6.10-8) unstable; urgency=medium

  * Mark libfko3-dev as "Multi-Arch: same".

 -- Francois Marier <francois@debian.org>  Sat, 22 Feb 2020 09:30:09 -0800

fwknop (2.6.10-7) unstable; urgency=medium

  * Revert NFQ capture support since it disables pcap capture.

 -- Francois Marier <francois@debian.org>  Tue, 18 Feb 2020 08:08:43 -0800

fwknop (2.6.10-6) unstable; urgency=medium

  * Add missing "Wants" directive in systemd service file (closes: #949323)
  * Enable support for NFQ capture (closes: #949331)
  * Bump Standards-Version up to 4.5.0.
  * Replace debian/compat with debhelper-compat (= 12).

 -- Francois Marier <francois@debian.org>  Sat, 15 Feb 2020 11:38:27 -0800

fwknop (2.6.10-5) unstable; urgency=medium

  * Stop building libfko-python since it's Python2-only (closes: #936575).

 -- Francois Marier <francois@debian.org>  Thu, 12 Sep 2019 10:32:19 -0700

fwknop (2.6.10-4) unstable; urgency=medium

  * Patch /run directory handling.
  * Fix typo in Restart directive of systemd service file.
  * Bump Standards-Version to 4.4.0.

 -- Francois Marier <francois@debian.org>  Mon, 08 Jul 2019 13:20:10 -0700

fwknop (2.6.10-3) unstable; urgency=medium

  * Restart fwknop-server on failure (closes: #927392)
  * Make libfko3 and libfko-perl "Multi-Arch: same" (Multiarch hinter)

 -- Francois Marier <francois@debian.org>  Sat, 06 Jul 2019 14:34:40 -0700

fwknop (2.6.10-2) unstable; urgency=medium

  * Remove all debconf leftovers (closes: #581635)

 -- Francois Marier <francois@debian.org>  Thu, 28 Feb 2019 10:37:06 -0800

fwknop (2.6.10-1) unstable; urgency=medium

  * New upstream release (closes: #923086)
    - new `--server-resolve-ipv4` option
    - drop all patches (merged upstream)
  * Patch AppArmor profile (closes: #911485).
  * Adopt this package (closes: #831273).
  * Add myself to debian/copyright.
  * Move repo to salsa.debian.org.

  * Add a build-depend on wget (closes: #840565).
  * Mention START_DAEMON (closes: #844016).
  * Move state files to /run/fwknop (closes: #911483).
  * Cleanup old files in /var/fwknop and remove 1.9.x cleanups.
  * Update postrm file to cleanup /run/fwknop
  * Add a logcheck rule for fwknop-server.
  * Include upstream systemd unit files.

  * Bump Standards-Version to 4.3.0.
  * Bump debhelper compat to 12.
  * Use HTTPS URL in debian/copyright.
  * Add missing people and years to debian/copyright.
  * Use HTTPS URL for upstream homepage.
  * USe HTTPS URL in debian/watch.
  * Update source link to GitHub.
  * Run wrap_and_sort -ast.
  * Remove unnecessary X-Python{,3}-Version field in debian/control.
  * Trim trailing whitespace.
  * Change priority extra to priority optional.
  * Use /usr/share/dpkg/architecture.mk in debian/rules.
  * Remove obsolete dbgsym-migration line in debian/rules.
  * Mark the -doc package as "Multi-Arch: foreign".

 -- Francois Marier <francois@debian.org>  Mon, 25 Feb 2019 14:56:20 -0800
