=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://www.cipherdyne.com/fwknop/download/fwknop-([\.0-9].*).tar.gz
